/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import javax.swing.JToolTip;

/**
 * Shows a tooltip with multiple lines 
 * (instead of the default one liner)
 * 
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version DC1.00
 */
public class MultiLineToolTip extends JToolTip {
    
    //private String tipText;
    //private JComponent component;
    
    public MultiLineToolTip() {
        updateUI();
    }
    
    public void updateUI() {
        setUI(MultiLineToolTipUI.createUI(this));
    }
    
    public void setColumns(int columns) {
        this.columns = columns;
        this.fixedwidth = 0;
    }
    
    public int getColumns() {
        return columns;
    }
    
    public void setFixedWidth(int width) {
        this.fixedwidth = width;
        this.columns = 0;
    }
    
    public int getFixedWidth() {
        return fixedwidth;
    }
    
    protected int columns = 0;
    protected int fixedwidth = 0;
}

