/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

import java.awt.Image;

import javax.swing.ImageIcon;

/**
 * Placeholder for oftenly used Icons and Images
 *  
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version DC1.00
 */
public class IconLibrary {

    private final static String picPath = "./icons_system/";

    public final static Image _icoNoPic = new ImageIcon(picPath + "noPicture.gif").getImage();
    
    public final static ImageIcon _icoMain = new ImageIcon(picPath + "main.jpg");
    
    public final static ImageIcon _icoError = new ImageIcon(picPath + "error.gif");
    public final static ImageIcon _icoCategory = new ImageIcon(picPath + "category.gif");
    public final static ImageIcon _icoSettings = new ImageIcon(picPath + "settings.gif");
    public final static ImageIcon _icoLog = new ImageIcon(picPath + "log.gif");
    public final static ImageIcon _icoQuestion = new ImageIcon(picPath + "question.gif");
    public final static ImageIcon _icoWarning = new ImageIcon(picPath + "message.gif");
    public final static ImageIcon _icoInformation = new ImageIcon(picPath + "information.gif");
    
    public final static ImageIcon _icoNew = new ImageIcon(picPath + "new.gif");
    public final static ImageIcon _icoInternet = new ImageIcon(picPath + "internet.gif");
    public final static ImageIcon _icoImport = new ImageIcon(picPath + "import.gif");
    public final static ImageIcon _icoMp3Organizer = new ImageIcon(picPath + "mp3Organizer.gif");
    
    public final static ImageIcon _icoPicture = new ImageIcon(picPath + "picture.gif");
    
    public final static ImageIcon _icoFetch = new ImageIcon(picPath + "fetch.gif");
    
    public final static ImageIcon _icoSoftwareModule = new ImageIcon(picPath + "softwareModule.gif");
    public final static ImageIcon _icoMovieModule = new ImageIcon(picPath + "movieModule.gif");
    public final static ImageIcon _icoMusicModule = new ImageIcon(picPath + "musicModule.gif");
    
    
    public final static ImageIcon _icoExisting = new ImageIcon(picPath + "existing.gif");
    public final static ImageIcon _icoNote = new ImageIcon(picPath + "annotation.gif");
    public final static ImageIcon _icoSqlManager = new ImageIcon(picPath + "sqlManager.gif");
    public final static ImageIcon _icoFileBrowser = new ImageIcon(picPath + "fileBrowser.gif");
}
