/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import java.util.Enumeration;
import java.util.Vector;

/**
 * Here the seperate modules are registered. This is all pretty much 
 * straightforward
 * 
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version DC1.00
 */
public class DCModules {
    
    public static final int _SOFTWARECAT = 0;
    public static final int _SOFTWARE = 1;    
    public static final int _MOVIE = 2;
    public static final int _MUSIC = 3;
    
    private static final Vector vModules = new Vector(0);
    
    public static void register(DCModule module) {
        vModules.insertElementAt(module, module.getIndex()); 
    } 
    
    public static DCModule getModule(int index) {
        return (DCModule) vModules.elementAt(index);
    }

    public static int[] getModuleIDs() {
        int[] modules = new int[vModules.size()];
        for (int i = 0; i < modules.length; i++) {
            modules[i] = getModule(i).getIndex();
        }
        return modules;
    }

    
    public static Enumeration getModules() {
        return vModules.elements();
    }
}
