/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats;

import java.io.File;

import net.sf.ext.entagged.libraries.audioformats.interfaces.AudioFormatInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.EncodingInfoReader;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagReaderInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagTypeInterface;

public class DefaultAudioFormat implements AudioFormatInterface {
	private static AudioFormatInterface af = new DefaultAudioFormat();
	
	public TagTypeInterface[] getSupportedTagTypes() {
		return AudioFormatManager.getAvailableTagTypes();
	}
	
	public String getName() {
		return "All";
	}
	
	public String[] getSupportedExtensions() {
		return AudioFormatManager.getAvailableExtensions();
	}
	
	public static AudioFormatInterface getInstance() {
		return af;
	}
	
	public String toString() {
		return getName();
	}
		
	public EncodingInfoReader getEncodingInfoReader() {
		return null;
	}
		
	public TagTypeInterface getDefaultTagType() {
		return null;
	}
	
	public TagTypeInterface getTagType(String tagType) {
		return null;
	}
	
	public TagReaderInterface[] getTagReaders() {
		return null;
	}
		
	public void setRootFile(File f) {
	}
	
	public File getRootFile() {
		return null;
	}
	
	public String getAuthor() {
		return "Raphael Slinckx (KiKiDonK)";
	}
	
	public String getDescription() {
		return "Should never be seen";
	}
}
