/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats;

import javax.swing.ImageIcon;

import net.sf.ext.entagged.libraries.audioformats.interfaces.AudioFormatInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.Tag;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagReaderInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagTypeInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagWriterInterface;

public class DefaultTagType implements TagTypeInterface {
		
	private static DefaultTagType tt = new DefaultTagType();
	
	
	public String getTagType() {
		return "*";
	}

	public String getName() {
		return "Default Tags(All)";
	}
	
	public Tag getEmptyTag( ) {
		return null;
	}
	
	public TagReaderInterface getTagReader( ) {
		return null;
	}
	
	public TagWriterInterface getTagWriter( ) {
		return null;
	}
	
	public ImageIcon getIcon() {
		return null;
	}
	
	public AudioFormatInterface getAudioFormat() {
		return DefaultAudioFormat.getInstance();
	}
	
	public static DefaultTagType getInstance() {
		return tt;
	}
	
	public String toString() {
		return getName();
	}
}
