/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats;

/**
 *  $Id: EncodingInfo.java,v 1.1 2004/09/17 07:15:36 rwaals Exp $
 *
 * @author     Raphael Slinckx (KiKiDonK)
 * @version    16 dcembre 2003
 */
public class EncodingInfo {
	private int bitrate = -1;
	private String channelMode;
    private String encodingType;
    private String infos;
	int samplingRate = -1;
	int timeLength = -1;
	boolean valid = false;

	public void setBitrate( int bitrate ) {
		this.bitrate = bitrate;
	}

	public void setChannelMode( String channelMode ) {
		this.channelMode = channelMode;
	}

	public void setEncodingType( String encodingType ) {
		this.encodingType = encodingType;
	}

	public void setExtraEncodingInfos( String infos ) {
		this.infos = infos;
	}

	public void setSamplingRate( int samplingRate ) {
		this.samplingRate = samplingRate;
	}

	public void setTimelength( int timeLength ) {
		this.timeLength = timeLength;
	}

	public void setValid( boolean valid ) {
		this.valid = valid;
	}

	public int getBitrate() {
		return bitrate;
	}

	public String getChannelMode() {
		return channelMode;
	}

	public String getEncodingType() {
		return encodingType;
	}

	public String getExtraEncodingInfos() {
		return infos;
	}

	public int getSamplingRate() {
		return samplingRate;
	}

	public int getTimeLength() {
		return timeLength;
	}

	public boolean isValid() {
		return valid;
	}

	public String toString() {
		String  output  = "";

		if ( isValid() ) {
			output += "---" + encodingType + "---\n";
			output += "---Length: " + timeLength + "---\n";
			output += "---" + channelMode + " || " + bitrate + " || " + samplingRate + "---\n";
			output += "+++" + infos + "+++\n";
		}
		else
			output += "---INVALID HEADER---\n";
		return output;
	}
}

