/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats;

import java.io.File;
import java.io.FileFilter;
import java.util.Arrays;

import net.sf.ext.entagged.libraries.audioformats.interfaces.TagTypeInterface;
import net.sf.ext.entagged.libraries.utils.Utils;

// $Id: TagTypeFileFilter.java,v 1.1 2004/09/17 07:15:36 rwaals Exp $
public class TagTypeFileFilter implements FileFilter{
	public boolean accept( File pathname ) {
		TagTypeInterface tt = TagTypeManager.getCurrentTagType();
		
		boolean accept = !pathname.isHidden();
		boolean goodExtension = false;
		
		if(!pathname.isDirectory()) {
			String ext = Utils.getExtension(pathname);
			goodExtension = Arrays.asList(tt.getAudioFormat().getSupportedExtensions()).contains(ext);
			goodExtension = goodExtension && (TaggedFileBuffer.get(pathname) != null);
		} else {
			goodExtension = true;
		}
		
		return accept && goodExtension && pathname.canRead();
	}
}
