/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats;


import net.sf.ext.entagged.libraries.audioformats.interfaces.Tag;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagWriterInterface;
import net.sf.ext.entagged.libraries.exceptions.CannotWriteException;
import net.sf.ext.entagged.libraries.exceptions.RequestedClassNotFoundException;


/**
 *  $Id: TagWriter.java,v 1.1 2004/09/17 07:15:36 rwaals Exp $
 *
 * @author     Raphael Slinckx (KiKiDonK)
 * @version    16 d�cembre 2003
 */
public class TagWriter {

	public TaggedFile write(TaggedFile tf, Tag[] tag) throws CannotWriteException{
		for (int i = 0; i < tag.length; i++) {
			TagWriterInterface tagWriter = null;
			try {
				tagWriter = AudioFormatManager.getTagWriter( tf, tag[i].getTagType() );
			} catch (RequestedClassNotFoundException e) {
				e.printStackTrace();
				throw new CannotWriteException("Error while trying to write the tag -"+tag[i]+"- :\n"+e);
			}
			tagWriter.write( tf, tag[i] );
		}
		tf.updateTags(tag);
		return tf;
	}
	
	public void delete(TaggedFile tf, String tagType) throws CannotWriteException{
		TagWriterInterface tagWriter = null;
		try{
			tagWriter = AudioFormatManager.getTagWriter( tf, tagType );
		}catch (RequestedClassNotFoundException e) {
			throw new CannotWriteException("Error while trying to delete the tag type -"+tagType+"- from -"+tf+"-:\n"+e);
		}
		
		tagWriter.delete( tf );
	}
}

