/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats.interfaces;

import java.io.File;

public interface AudioFormatInterface {

	public TagTypeInterface[] getSupportedTagTypes();
	
	public String getName();
	
	public String[] getSupportedExtensions();
		
	public EncodingInfoReader getEncodingInfoReader();
		
	public TagTypeInterface getDefaultTagType();
	
	public TagTypeInterface getTagType(String tagType);
	
	public TagReaderInterface[] getTagReaders();
	
	public void setRootFile(File f);
	
	public File getRootFile();
		
	public String toString();
	
	public String getAuthor();
	
	public String getDescription();
}
