/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.libraries.audioformats.interfaces;
import java.nio.ByteBuffer;

import net.sf.ext.entagged.libraries.exceptions.InvalidFormatException;


/**
 *  $Id: Tag.java,v 1.1 2004/09/17 07:15:36 rwaals Exp $
 *
 * @author     Raphael Slinckx (KiKiDonK)
 * @version    16 d?cembre 2003
 */
public interface Tag {
	//public String[] getContentsArray();


	//public String[] getFieldsArray();

	public String getTitle();


	public String getAlbum();


	public String getArtist();


	public String getGenre();


	public String getTrackNumber();


	public String getYear();


	public String getComment();


	public void setTitle(String title);


	public void setAlbum(String album);


	public void setArtist(String artist);


	public void setGenre(String genre);


	public void setTrackNumber(String trackNumber);


	public void setYear(String year);


	public void setComment(String comment);

	//public AdvancedTagFields getAdvancedFields();

	public ByteBuffer getByteBufferRepresentation( int paddingSize ) throws InvalidFormatException;


	public int getTagLength();


	public String toString();


	public String getTagType();
	
	public boolean isEmpty();

	//public void updateFields( String[] content );
}

