/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.plugins.audioformats.ogg.inforeader;



/**
 *  $Id: OGGCRCFactory.java,v 1.1 2004/09/17 07:15:36 rwaals Exp $
 *
 * @author     Raphael Slinckx (KiKiDonK)
 * @version    19 d�cembre 2003
 */
public class OGGCRCFactory {

	private static long[] crc_lookup = new long[256];
	private static boolean init = false;


	public static void init() {
		for ( int i = 0; i < 256; i++ ) {
			long r = i << 24;

			for ( int j = 0; j < 8; j++ )
				if ( ( r & 0x80000000L ) != 0 )
					r = ( r << 1 ) ^ 0x04c11db7L;
				else
					r <<= 1;

			crc_lookup[i] = ( r & 0xffffffff );
		}
		init = true;
	}


	public boolean checkCRC( byte[] data, byte[] crc ) {
		return new String( crc ).equals( new String( computeCRC( data ) ) );
	}

	public static byte[] computeCRC( byte[] data ) {
		//System.out.println(data.length);
		
		if(!init)
			init();
		
		long crc_reg = 0;

		for ( int i = 0; i < data.length; i++ ) {
			int tmp = (int) ( ( ( crc_reg >>> 24 ) & 0xff ) ^ u( data[i] ) );

			crc_reg = ( crc_reg << 8 ) ^ crc_lookup[tmp];
			crc_reg &= 0xffffffff;
		}

		byte[] sum = new byte[4];

		sum[0] = (byte) ( crc_reg & 0xffL );
		sum[1] = (byte) ( ( crc_reg >>> 8 ) & 0xffL );
		sum[2] = (byte) ( ( crc_reg >>> 16 ) & 0xffL );
		sum[3] = (byte) ( ( crc_reg >>> 24 ) & 0xffL );

		return sum;
	}


	private static int u( int n ) {
		return n & 0xff ;
	}
}

