/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.plugins.audioformats.wav;

import java.net.URL;

import javax.swing.ImageIcon;

import net.sf.ext.entagged.libraries.audioformats.interfaces.AudioFormatInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.Tag;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagReaderInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagTypeInterface;
import net.sf.ext.entagged.libraries.audioformats.interfaces.TagWriterInterface;


public class WAVTagType implements TagTypeInterface {
		
	private static WAVTagType tt = new WAVTagType();
	
	
	public String getTagType() {
		return WAVTag.TAGTYPE;
	}

	public String getName() {
		return "WAV pseudo-Tag";
	}
	
	public Tag getEmptyTag( ) {
		return new WAVTag();
	}
	
	public TagReaderInterface getTagReader( ) {
		return null;
		//return new WAVReader();
	}
	
	public TagWriterInterface getTagWriter( ) {
		//assert false;
		//return null;
		return new WAVWriter();
	}
	
	public ImageIcon getIcon() {
		//System.out.println("v1 icon");
		try{
			URL img = new URL("jar:file:"+getAudioFormat().getRootFile().getPath()+"!/"+"entagged/plugins/audioformats/wav/resources/wav.png");
			return new ImageIcon(img);
		}catch(Exception e) {e.printStackTrace(); return null;}
	}
	
	public AudioFormatInterface getAudioFormat() {
		return AudioFormat.getInstance();
	}
	
	public static WAVTagType getInstance() {
		return tt;
	}
	
	public String toString() {
		return getName();
	}
}
