/*
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */
package net.sf.ext.entagged.plugins.audioformats.wav.inforeader;

import net.sf.ext.entagged.libraries.utils.Utils;

public class WAVFormatHeader {
	
	private boolean isValid = false;
	
	private int channels,sampleRate,bytesPerSecond,bitrate;

	public WAVFormatHeader( byte[] b ) {
		String fmt = new String(b,0,3);
		//System.out.println(fmt);
		if(fmt.equals("fmt") && b[8]==1) {
			channels = b[10];
			//System.out.println(channels);
			sampleRate = Utils.unsignedBytes(b[15])*16777216 + Utils.unsignedBytes(b[14])*65536 + Utils.unsignedBytes(b[13])*256 + Utils.unsignedBytes(b[12]);
			//System.out.println(sampleRate);
			bytesPerSecond = Utils.unsignedBytes(b[19])*16777216 + Utils.unsignedBytes(b[18])*65536 + Utils.unsignedBytes(b[17])*256 + Utils.unsignedBytes(b[16]);
			//System.out.println(bytesPerSecond);
			bitrate = Utils.unsignedBytes(b[22]);
			
			isValid = true;
		}
		
	}

	public boolean isValid() {
		return isValid;
	}
	
	public String getChannelMode() {
		return (channels == 1) ? "Mono" : "Stereo";
	}
	
	public int getSamplingRate() {
		return sampleRate;
	}
	
	public int getBytesPerSecond() {
		return bytesPerSecond;
	}
	
	public int getBitrate() {
		return bitrate;
	}


	public String toString() {
		String out = "RIFF-WAVE Header:\n";
		out += "Is valid?: " + isValid;
		return out;
	}
}

