/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 Robert-Jan van der Waals                    *
 *                             rwaals@anytimenow.com                          *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.ext.util;

/**
 * Simple string utilities
 *
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version DC0.50
 */
public class StringUtils {
	
	public static String replaceAll(String input, String replaceString, String replaceWith) {
        int replaceBegin = input.indexOf(replaceString);
        
		while (replaceBegin > -1) {
            int replaceEnd = replaceBegin + replaceString.length();
            input = input.substring(0, replaceBegin) + replaceWith +
                    input.substring(replaceEnd); 
            replaceBegin = input.indexOf(replaceString);
		}
		return input;
	}
    
    public static String getValueBetweenStrings(String start, String end, String sSource) {
        String s = "";
        try {
            int indexBegin = sSource.indexOf(start);
            
            if (indexBegin != -1) {
                s = sSource.substring(indexBegin + start.length());
            }
            
            int indexEnd = s.indexOf(end);
            
            if (indexEnd != -1) {
                s = s.substring(0, indexEnd);
            }
        } catch (Exception ingnore) {}
        
        return s;
    }
    
    public static boolean isEmpty(String input) {
        if (input == null || input.trim().equals("")) {
            return true;   
        }
        return false;
    }
}
